CREATE TABLE "Sedi"(indirizzo text, citta text, dipartimento text NOT NULL, CONSTRAINT sedi_pkey PRIMARY KEY (dipartimento)) WITH (OIDS=FALSE);


CREATE TABLE "Impiegato"(  matricola bigint NOT NULL,  nome text,  cognome text,  dipartimento text,  ufficio text,  stipendio integer,  CONSTRAINT pkey PRIMARY KEY (matricola),  CONSTRAINT imp_fkey FOREIGN KEY (dipartimento)      REFERENCES "Sedi" (dipartimento) MATCH SIMPLE ON UPDATE CASCADE ON DELETE CASCADE)WITH (OIDS=FALSE);

CREATE TABLE "Supervisione"(  capo bigint NOT NULL,  impiegato bigint NOT NULL,  CONSTRAINT sup_pkey PRIMARY KEY (capo, impiegato),  CONSTRAINT sup_fkey1 FOREIGN KEY (capo)      REFERENCES "Impiegato" (matricola) MATCH SIMPLE      ON UPDATE CASCADE ON DELETE CASCADE,  CONSTRAINT sup_fkey2 FOREIGN KEY (impiegato)      REFERENCES "Impiegato" (matricola) MATCH SIMPLE      ON UPDATE CASCADE ON DELETE CASCADE)WITH (OIDS=FALSE);


INSERT INTO "Sedi" (indirizzo, citta, dipartimento) VALUES ('Piazza Garibaldi, 1', 'Roma', 'Contabilita');
INSERT INTO "Sedi" (indirizzo, citta, dipartimento) VALUES ('Via Mazzini, 23', 'Pisa', 'Logistica');
INSERT INTO "Sedi" (indirizzo, citta, dipartimento) VALUES ('Via Roma, 10', 'Pisa', 'Produzione');



INSERT INTO "Impiegato" (matricola, nome, cognome, dipartimento, ufficio, stipendio) VALUES (239582, 'Alex', 'McGarraghy', 'Contabilita', '202', 83);
INSERT INTO "Impiegato" (matricola, nome, cognome, dipartimento, ufficio, stipendio) VALUES (929402, 'Antony', 'Gouveia', 'Logistica', '207', 35);
INSERT INTO "Impiegato" (matricola, nome, cognome, dipartimento, ufficio, stipendio) VALUES (239581, 'Astrid', 'Orlin', 'Produzione', '184', 100);
INSERT INTO "Impiegato" (matricola, nome, cognome, dipartimento, ufficio, stipendio) VALUES (190293, 'Mario', 'Rossi', 'Contabilita', '201', 284);
INSERT INTO "Impiegato" (matricola, nome, cognome, dipartimento, ufficio, stipendio) VALUES (100210, 'John', 'Lazy', 'Produzione', '100', 30);





INSERT INTO "Supervisione" (capo, impiegato) VALUES (239582, 190293);
INSERT INTO "Supervisione" (capo, impiegato) VALUES (929402, 239582);
INSERT INTO "Supervisione" (capo, impiegato) VALUES (239582, 239581);
INSERT INTO "Supervisione" (capo, impiegato) VALUES (190293, 100210);