<html>

<head>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>

<body>

<%@ page import="java.sql.*" errorPage="table.jsp" isErrorPage="true" %>

<%! String host, port, dbname, usr, pwd, table, query; %>

<%
host	= (String)session.getAttribute("host");
port	= (String)session.getAttribute("port");
dbname	= (String)session.getAttribute("dbname");
usr	= (String)session.getAttribute("usr");
pwd	= (String)session.getAttribute("pwd");
table	= request.getParameter("table");
query	= request.getParameter("query");

if (host == null || port == null || dbname == null || usr == null || pwd == null) {
%>

<jsp:forward page="connect.jsp" />

<%
} else {
%>

<br>
<form method="post" action="table.jsp">
<input type="hidden" name="table" value="<%= table %>">
<table class="widenb">
<tr>
<td style="width:10%">Query:
<td style="width:80%"><input type="text" name="query" class="wide">
<td style="width:10%"><input type="submit" value=" Send query ">
</table>
</form>

<%
	Class.forName("org.postgresql.Driver");
	Connection con = DriverManager.getConnection("jdbc:postgresql://" + host + ":" + port + "/" + dbname, usr, pwd);
	int nrecs = -1;
	ResultSet res;
	if (table != null && exception == null) {
%>

<h4>

<%
		table.trim();
		String temp = "select * from " + table;
		query = (query == null) ? temp : query.trim();
		Statement st = con.createStatement();
		if (query.charAt(0) == 's')
			res = st.executeQuery(query);
		else {
			nrecs = st.executeUpdate(query);
			res = st.executeQuery(temp);
		}

		out.println(query + "<br>query ok");
		if (nrecs > -1)
			out.println(": " + nrecs + " record(s) affected");

		ResultSetMetaData rsmd = res.getMetaData();
		int cols = rsmd.getColumnCount();
%>

</h4>
<table class="wideb">
<tr class="header">

<%
		int i;
		String style = "odd";
		for (i=1; i<=cols; i++)
			out.println("<th>" + rsmd.getColumnName(i));

		while (res.next()) {
			out.println("<tr class=\"" + style + "\">");
			style = style.equals("odd") ? "even" : "odd";
			for (i=1; i<=cols; i++)
				out.println("<td>" + res.getObject(i).toString());
		}
%>

</table>

<%
		res.close();
		st.close();
		con.close();
	} else if (exception != null) {
%>

<h4><%= query + "<br>" + exception.getMessage() %></h4>

<%
	}
}
%>

</body>
</html>