<html>

<head>
<title>Versamento completato</title>
</head>

<body>

<%@ page import="java.sql.*" %>

<%

String db_name="testdb_user_test"; //sul db server, accedo ad db di nome "testdb_user_test"

Class.forName("org.postgresql.Driver");
Connection con = DriverManager.getConnection("jdbc:postgresql://siserver.iet.unipi.it:5432/"+db_name,"user_test","testuser");

//nelle righe successive si evita, per semplicita', di trattare i casi
//in cui si possono avere errori nel recupero dei parametri
String u1 = request.getParameter("usr1");
String u2 = request.getParameter("usr2");
int q = Integer.parseInt(request.getParameter("quanto"));
PreparedStatement ps = con.prepareStatement("update conti set cc=cc+? where usr=?");
Statement st = con.createStatement();
ResultSet res = null;

//qui inizia la transazione
con.setAutoCommit(false);

try {
	ps.setInt(1, -q);
	ps.setString(2, u1);
	if (ps.executeUpdate() != 1)
		throw new SQLException("Utente " + u1 + " inesistente");

	res = st.executeQuery("select cc from conti where usr='" + u1 + "'");
	res.next();
	if (res.getInt(1) < 0)
		throw new SQLException("Credito di " + u1 + " insufficiente");

	ps.setInt(1, q);
	ps.setString(2, u2);
	if (ps.executeUpdate() != 1)
		throw new SQLException("Utente " + u2 + " inesistente");

	con.commit();
%>

<h2>Versamento di <%= q %>&euro; dall'utente <%= u1 %> all'utente <%= u2 %> completato!</h2>

<%
}
catch (SQLException e) {
	con.rollback();
%>

<h2>Transazione annullata!<br><%= e.getMessage() %>.</h2>

<%
}
finally {
	if (res != null)
		res.close();
	st.close();
	ps.close();
	con.close();
}
%>

<a href="index.html">&lt;&lt; Riprova</a>

</body>
</html>
